org.eclipse.microprofile.fault.tolerance.tck.bulkhead.lifecycle

## Class BulkheadLifecycleServiceSuperclass

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.lifecycle.BulkheadLifecycleServiceSuperclass

Direct Known Subclasses:
  BulkheadLifecycleServiceSubclass1, BulkheadLifecycleServiceSubclass2

    public class BulkheadLifecycleServiceSuperclass
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BulkheadLifecycleServiceSuperclass()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `service(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkheadLifecycleServiceSuperclass

    public BulkheadLifecycleServiceSuperclass()

### Method Detail

#### service

    @Bulkhead(value=8)
    public void service(Barrier barrier)